Resolve target
Create a target resolution request to resolve a payment destination.
Supports multiple resolution formats:
- plain_key: Resolve by cellphone, email, identification, alphanumeric key, or merchant code
- image: Resolve by scanning a QR code image (base64-encoded)
- emvco: Resolve by raw EMVCo QR code data
- emvco_b64: Resolve by base64-encoded EMVCo QR code data
The response includes the resolved target information including creditor details and account information.
Authorization
oauth target_resolutionsIn: header
Scope: target_resolutions
Request Body
application/json
Target resolution request
TypeScript Definitions
Use the request body type in TypeScript.
The unique identifier of the tenant account initiating the resolution request. This account will be used as the source for any subsequent transfers.
^[A-Za-z]{2,7}_[\w-]{22}$"bbtacc_5tgliBmzjZ6mpQPRbQjfKj"Optional timestamp indicating when the end user initiated this resolution request. If not provided, defaults to the current server time.
date-time"2026-03-30T21:36:33.961428Z"The format of the target resolution
"plain_key""plain_key"Plain text key with no spaces, 1-92 characters
^\S+$1 <= length <= 92"1234567890"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://breb-participant.sandbox.mono.la/api/v1/targets/resolve" \ -H "Content-Type: application/json" \ -d '{ "tenant_account_id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj", "format": "plain_key", "value": "1234567890" }'{
"id": "bbtgr_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2026-03-30T21:36:33.961428Z",
"state": "resolved",
"state_reason": null,
"target": {
"creditor": {
"document_number": "1234567890",
"document_type": "CC",
"full_name": "Juan Pérez",
"type": "natural"
},
"creditor_account": {
"currency_code": "COP",
"number": "1234567890",
"type": "savings_account"
},
"id": "bbtgt_5tgliBmzjZ6mpQPRbQjfKj",
"key_type": "identification",
"key_value": "1234567890",
"participant_nit": "900123456",
"payment_id": "string",
"resolution_type": "plain_key",
"spbvi": "CRB",
"transaction_amount": {
"amount": 100000000,
"currency": "COP"
}
},
"tenant_account_id": "bbtacc_5tgliBmzjZ6mpQPRbQjfKj",
"updated_at": "2026-03-30T21:36:33.961428Z",
"user_requested_at": "2026-03-30T21:36:33.961428Z",
"format": "plain_key",
"value": "1234567890"
}{
"code": "400 Bad Request",
"errors": [
{
"error_code": "key_not_found",
"message": "Key not found",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Malformed request"
}{
"code": "401 Unauthorized",
"errors": [
{
"error_code": "missing_authorization_header",
"message": "`Authorization` header is missing.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Authorization header is missing or invalid."
}{
"code": "403 Forbidden",
"errors": [
{
"error_code": "not_authorized",
"message": "Not authorized to have access to this resource.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Not authorized to have access to this resource"
}{
"code": "404 Not Found",
"errors": [
{
"error_code": "tenant_account_not_found",
"message": "Tenant account not found",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Resource not defined"
}{
"code": "500 Internal Server Error",
"errors": [
{
"error_code": "internal_error",
"message": "An unexpected error occurred",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Something went wrong on the Server"
}{
"code": "503 Service Unavailable",
"errors": [
{
"error_code": "service_is_unavailable",
"message": "The service is unavailable, Please try again later",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Service unavailable"
}